From 485736ef5399f7e6ee4c421bbf614f253613e80d Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:46:19 +0200
Subject: [PATCH 1/2] sbsigntool: only for UEFI platforms

---
 srcpkgs/sbsigntool/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/sbsigntool/template b/srcpkgs/sbsigntool/template
index d25bf80a452..45d41431aed 100644
--- a/srcpkgs/sbsigntool/template
+++ b/srcpkgs/sbsigntool/template
@@ -2,6 +2,7 @@
 pkgname=sbsigntool
 version=0.9.2
 revision=2
+archs="x86_64* i686* aarch64* arm*"
 build_style=gnu-configure
 hostmakedepends="autoconf automake pkg-config"
 makedepends="binutils-devel libressl-devel libuuid-devel gnu-efi-libs"

From ad74e2b4d451ae4aae9f6784d8ab44d976b902de Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Mon, 10 Jun 2019 21:41:37 +0200
Subject: [PATCH 2/2] fwupdate: UEFI archs only

[ci skip]
---
 srcpkgs/fwupdate/template | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/fwupdate/template b/srcpkgs/fwupdate/template
index b857267380a..231f714913f 100644
--- a/srcpkgs/fwupdate/template
+++ b/srcpkgs/fwupdate/template
@@ -2,7 +2,10 @@
 pkgname=fwupdate
 version=12
 revision=1
+archs="x86_64* i686* aarch64* arm*"
 build_style=gnu-makefile
+make_install_args="EFIDIR=void LIBDIR=/usr/lib"
+make_build_args="EFIDIR=void GNUEFIDIR=/usr/lib"
 hostmakedepends="pkg-config"
 makedepends="elfutils-devel gnu-efi-libs libefivar-devel popt-devel"
 checkdepends="libabigail-tools"
@@ -12,8 +15,6 @@ license="GPL-2.0-or-later"
 homepage="https://github.com/rhboot/fwupdate"
 distfiles="https://github.com/rhboot/fwupdate/releases/download/${version}/fwupdate-${version}.tar.bz2"
 checksum=4167d569f14e00ecf620c369ab34709e4bb1574ed588ef2e2398667e9e968703
-make_build_args="EFIDIR=void GNUEFIDIR=/usr/lib"
-make_install_args="EFIDIR=void LIBDIR=/usr/lib"
 nocross="fails to find efi.h"
 
 case "$XBPS_TARGET_MACHINE" in
